#pragma once

#include "CoreMinimal.h"
#include "AkAudioType.h"
#include "WwiseLocalizedShareSetCookedData.h"
#include "AkEffectShareSet.generated.h"

UCLASS(Blueprintable)
class AKAUDIO_API UAkEffectShareSet : public UAkAudioType
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FWwiseLocalizedShareSetCookedData ShareSetCookedData;

public:
	UAkEffectShareSet();
};

FORCEINLINE uint32 GetTypeHash(const UAkEffectShareSet) { return 0; }
